summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/delay')
-rw-r--r--app-misc/delay/Manifest1
-rw-r--r--app-misc/delay/delay-1.6-r2.ebuild31
-rw-r--r--app-misc/delay/files/delay-1.6-headers.patch10
-rw-r--r--app-misc/delay/files/delay-1.6-tinfo.patch16
-rw-r--r--app-misc/delay/metadata.xml5
5 files changed, 63 insertions, 0 deletions
diff --git a/app-misc/delay/Manifest b/app-misc/delay/Manifest
new file mode 100644
index 00000000000..6380c339b6e
--- /dev/null
+++ b/app-misc/delay/Manifest
@@ -0,0 +1 @@
+DIST delay-1.6.tar.gz 69860 SHA256 3097a25fc0d0091402fc9dbc6aa395fd5141028bcdc99baa5d3438ca04f78ca2 SHA512 45d34b768082ff2e4a73f1af63239f6b9e418f1cb46e5945606c0e8830ba2b8c14eeb21d7e0776ef669d2834ed6dcc66c3ddb0225c182c77e85b18b5b28d5d43 WHIRLPOOL 836b7baafc377a2a53df1507ed5da667b30d7551393a77be729ff2ecf89ce6792b818d14807a7f76034046b22daf7ca8e441348832ada85809ebc6c14df7f16b
diff --git a/app-misc/delay/delay-1.6-r2.ebuild b/app-misc/delay/delay-1.6-r2.ebuild
new file mode 100644
index 00000000000..a870b0cf73b
--- /dev/null
+++ b/app-misc/delay/delay-1.6-r2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils toolchain-funcs
+
+DESCRIPTION="Sleeplike program that counts down the number of seconds specified"
+HOMEPAGE="http://onegeek.org/~tom/software/delay/"
+SRC_URI="http://onegeek.org/~tom/software/delay/dl/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~mips ppc ppc64 x86 ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos"
+
+RDEPEND="sys-libs/ncurses"
+DEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${P}-headers.patch \
+ "${FILESDIR}"/${P}-tinfo.patch
+
+ mv configure.in configure.ac || die
+
+ eautoreconf
+}
diff --git a/app-misc/delay/files/delay-1.6-headers.patch b/app-misc/delay/files/delay-1.6-headers.patch
new file mode 100644
index 00000000000..5098435d765
--- /dev/null
+++ b/app-misc/delay/files/delay-1.6-headers.patch
@@ -0,0 +1,10 @@
+--- a/delay.c
++++ b/delay.c
+@@ -17,6 +17,7 @@
+ */
+
+ #include <stdio.h>
++#include <stdlib.h>
+ #include <time.h>
+ #include <sys/time.h>
+ #include <unistd.h>
diff --git a/app-misc/delay/files/delay-1.6-tinfo.patch b/app-misc/delay/files/delay-1.6-tinfo.patch
new file mode 100644
index 00000000000..37a7fb27cdc
--- /dev/null
+++ b/app-misc/delay/files/delay-1.6-tinfo.patch
@@ -0,0 +1,16 @@
+--- a/configure.in
++++ b/configure.in
+@@ -35,8 +35,11 @@
+ AC_STRUCT_TM
+ AC_STRUCT_TM_GMTOFF
+
+-AC_CHECK_LIB(curses, initscr)
+-AC_CHECK_HEADERS(curses.h)
++PKG_CHECK_MODULES([ncurses],[ncurses],[
++ LIBS="$LIBS $ncurses_LIBS"
++ AC_DEFINE([HAVE_CURSES_H])
++ AC_DEFINE([HAVE_LIBCURSES])],
++ [AC_MSG_ERROR([ncurses not found])])
+
+ AC_OUTPUT(Makefile)
+
diff --git a/app-misc/delay/metadata.xml b/app-misc/delay/metadata.xml
new file mode 100644
index 00000000000..f23b9cae159
--- /dev/null
+++ b/app-misc/delay/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>shell-tools</herd>
+</pkgmetadata>